Name:          libXScrnSaver
Version:       1.2.4
Release:       1mamba
Summary:       X.Org Screen Saver library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.x.org/wiki/
Source:        https://ftp.x.org/archive/individual/lib/libXScrnSaver-%{version}.tar.xz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: xorgproto-devel
## AUTOBUILDREQ-END

%description
X.Org Screen Saver library.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
X.Org Screen Saver library.
This package contains static libraries and header files needed for development.

%debug_package

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_libdir}/libXss.so.*
%doc COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/X11/extensions/scrnsaver.h
%{_libdir}/libXss.a
%{_libdir}/libXss.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*
%doc ChangeLog

%changelog
* Fri Dec 09 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.4-1mamba
- update to 1.2.4

* Sat Aug 03 2019 Automatic Build System <autodist@mambasoft.it> 1.2.3-1mamba
- automatic update by autodist

* Fri Apr 15 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.2-2mamba
- rebuilt to update libpthread-strubs broken .la files

* Tue Mar 13 2012 Automatic Build System <autodist@mambasoft.it> 1.2.2-1mamba
- automatic version update by autodist

* Sun Oct 31 2010 Automatic Build System <autodist@mambasoft.it> 1.2.1-1mamba
- automatic update by autodist

* Tue Sep 08 2009 Automatic Build System <autodist@mambasoft.it> 1.2.0-1mamba
- automatic update by autodist

* Mon Jan 12 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.3-1mamba
- automatic update by autodist

* Thu Mar 13 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.2-2mamba
- ... add a changelog entry

* Wed Feb 07 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.2-1qilnx
- update to version 1.1.2 by autospec

* Thu Dec 21 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.0-1qilnx
- package created by autospec
